@charset "UTF-8";
/*------------------------------------------
 -----------------DIG ROUTE----------------
------------------------------------------*/

main{
	background: var(--gray);
	overflow: visible;
}
.caption{
	position: absolute;
	top: -15px;
	right: -5px;
	display: flex;
	gap: 12px;
	align-items: flex-start;
	flex-direction: row-reverse;
	z-index: 3;
	animation-delay: 1s;
}
.caption span {
	writing-mode: vertical-rl;
	background: #fff;
	border: 1px solid var(--body);
	box-shadow: 4px 4px 0 #000;
	padding: 0.5em 0.25em;
	font-size: var(--font-size-base);
	font-weight: 600;
	line-height: 1.4;
}
article .inner+.inner{
	padding-top: 0;
}
section {
	padding: calc(var(--spacer)*6) 0;
}
.btn.pdf a{
	font-size: var(--font-size-base);
	padding: 10px 20px 11px;
}
@media screen and (min-width: 841px) {
	section {
		padding: calc(var(--spacer)*7) 0;
	}

}

/*------------------一覧------------------------*/

#lv{
	padding-bottom: 0;
}
.modelcourse_archive{
	position: relative;
	font-weight: 400;
	border: 1px solid var(--body);
	border-radius: 20px;
	max-width: 500px;
	margin: 0 auto 50px;
}

.modelcourse_archive figure{
	aspect-ratio: 65 / 46;
	position: relative;
	z-index: 1;
}
.modelcourse_archive figure a{
	display: block;
	width: 100%;
	height: 100%;
	overflow: hidden;
	border-radius: 20px 20px 0 0;
}
.modelcourse_archive figure img{
	object-fit: cover;
	height: 100%!important;
	width: 100%;
	transition: .3s ease-in-out;
}
.modelcourse_archive figure a:hover img{
	transform: scale(1.1);
}
.modelcourse_archive .badge{
	position: absolute;
	z-index: 1;
	bottom: -10px;
	left: 2.3%;;
	width: 25%;
	animation-delay: .4s;
	transition: .3s ease-in-out;
	transform-origin: center;
}
.modelcourse_archive figure a:hover .badge{
	transform: scale(0.92)
}

.modelcourse_archive .text{
	border-radius: 0 0 20px 20px;
	background-color: #fdfdfd;
	background-image:
		linear-gradient(to right, #daf1ea 1px, transparent 1px),
		linear-gradient(to bottom, #daf1ea 1px, transparent 1px);
	background-size: 11px 11px;
	padding: 20px 20px 40px;
	position: relative;
	z-index: 0;
	border-top:1px solid var(--body);
}
.modelcourse_archive .text > p:not(.btn){
	font-size: var(--font-size-13);
	letter-spacing: var(--letter-spacing-13);
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
	overflow: hidden;
	text-overflow: ellipsis;
}

.modelcourse_archive .text .btn{
	margin-top: 20px;
}



/*-----------------詳細ページ-------------------------*/

.modelcourse_single article{
	padding-top: calc(var(--spacer)*3.5);
	background: var(--gray);
}

/* リード文 */
.modelcourse_single .marker{
	width: 63%;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 20px;
}
.modelcourse_single .heading{
	margin-bottom: 40px;
}
.modelcourse_single .heading .badge{
	animation-delay: .2s;
}
.modelcourse_single .heading .badge img{
	width: 30.2%;
}
.modelcourse_single h1{
	width: 100vw;
	margin-inline: calc(50% - 50cqi);
	margin-block: 20px;
	color: #fff;
	font-weight: 600;
	text-shadow: -1px -1px 0 var(--body), 1px -1px 0 var(--body), -1px 1px 0 var(--body), 1px 1px 0 var(--body), 2px 2px 0 var(--body), 3px 3px 0 var(--body), 4px 4px 0 var(--body);
	margin-bottom: 20px;
	font-size: var(--font-size-30);
	animation-delay: .5s;
	line-height: 1.5;
}
.modelcourse_single .sub{
	font-weight: 400;
	margin-bottom: 20px;
}

.trip_summary{
	width: 100vw;
	margin-inline: calc(50% - 50cqi);
	margin-bottom: 20px;
	border-top: 1px solid var(--body);
	border-bottom: 1px solid var(--body);
	background-color: #fdfdfd;
	background-image: linear-gradient(to right, #daf1ea 1px, transparent 1px), linear-gradient(to bottom, #daf1ea 1px, transparent 1px);
	background-size: 11px 11px;
	padding: 20px 25px;
}
.trip_summary dl{
	max-width: 440px;
	margin: 0 auto;
	font-size: var(--font-size-13);
	display: flex;
	align-items: center;
	gap: 0.8em;
}

.trip_summary dl dt{
	padding: 1px 15px;
	background: #fff;
	border: 1px solid var(--body);
	border-radius: 50px;
	white-space: nowrap;
}
.trip_summary dl dd{
	flex: 1;
}
.trip_summary dl+dl{
	margin-top: 10px;
}

@media screen and (min-width: 841px) {
	.modelcourse_single h1{
		width: 100%;
		margin-inline: 0;
	}
	.trip_summary{
		width: calc(100% + 60px);
		margin-left: -30px;
		padding: 25px 30px;
	}
}

/* モグラ */
.route{
	position: relative;
	padding-top: 20px;
}
.route > *{
	position: relative;
	z-index: 1;
}
.route .road{
	width: clamp(50px, 13.3% ,100px);
	height: calc(100% - 40px);
	background: #fff;
	position:absolute;
	bottom: 0px;
	left: 50%;
	transform: translateX(-50%);
	z-index: 0;
	pointer-events: none;
	animation-delay: 1.5s;
	animation-duration: 5.5s;
}
.route .call{
	position: absolute;
	z-index: 2;
	top: 10px;
	left: 32%;
	width: clamp(100px, 26%, 200px);
	animation-delay: .8s;
}
.route .mogura{
	margin: 0 auto;
	width: clamp(100px, 30%, 200px);
	aspect-ratio: 1;
	background: #fff;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
}
.route .mogura img{
	width: 61%;
	animation-delay: .2s;
}

.walking_mogura_wrap{
	position: sticky;
	top: 42vh;
	width: clamp(70px, 20% ,120px);
	aspect-ratio: 1;
	z-index: 1;
	margin: 0 auto;
	pointer-events: none;
	opacity: 0;
	transition: opacity .4s ease;
}
.walking_mogura_wrap.is-visible{
	opacity: 1;
}
.walking_mogura{
	width: 100%;
	height: 100%;
	background: url(../img/modelcourse/walking_mogura.svg) no-repeat 0 0 / 100% 200%;
	animation-name: dig-cycle, mole-bob;
    animation-duration: 2s, 2s;
    animation-timing-function: steps(2, jump-none), linear;
    animation-iteration-count: 150, 150;
    animation-timeline: scroll(root block), scroll(root block);
    animation-fill-mode: both, both;
}
@keyframes dig-cycle{
    0%{
		background-position-y: 0%;
	}
    100%{
		background-position-y: 100%;
	}
  }
@keyframes mole-bob{
    0%{
		transform: translateY(0);
	}
    100%{
		transform: translateY(-6px);
	}
}
.walking_mogura_wrap+:is(section, div){
	margin-top: -40px!important;
}

/* 本文 */
article .inner{
	border-radius: clamp(30px, 20vw, 100px);
	border: 1px solid var(--body);
	margin: 100px auto 0;
	background: var(--green);
	padding: 0 30px 30px;
	max-width: 500px;
}

article .inner .section_ttl{
	margin-top: -30px;
	margin-bottom: 20px;
}
article .inner .section_ttl .day_time{
	display: block;
	width: 75%;
	border: 1px solid var(--body);
	margin: 0 auto;
	font-size: var(--font-size-18);
	border-radius: 99px;
	background: var(--blue);
	padding: 3px 10px 5px;
	box-shadow: 5px 5px 0 var(--body);
	margin-bottom: 20px;
	max-width: 300px;
	animation-delay: .5s;
}
article .inner .section_ttl i{
	display: block;
	text-align: center;
	color: #fff;
	font-weight: 600;
	text-shadow: -1px -1px 0 var(--body), 1px -1px 0 var(--body), -1px 1px 0 var(--body), 1px 1px 0 var(--body);
	font-size: var(--font-size-20);
	animation-delay: .7s;
	line-height: 1.5;
}
article .inner figure{
	aspect-ratio: 5 / 4;
	margin-bottom: 20px;
	animation-delay: 1s;
}
article .inner figure img{
	border-radius: 20px;
	border: 1px solid var(--body);
	overflow: hidden;
	object-fit: cover;
	width: 100%;
	height: 100%;
}
article .inner .text{
	animation-delay: 1s;
}
article .inner .text > p{
	font-size: var(--font-size-13);
	letter-spacing: var(--letter-spacing-13);
}
article .inner .text > p+p{
	margin-top: 20px;
}
article .inner .information{
	border-radius: 20px;
	background: var(--yellow);
	border: 1px solid var(--body);
	padding: 10px 20px 20px;
	margin-top: 20px;
	animation-delay: 1s;
	margin-left: 5px;
	width: calc(100% + 35px);;
}
article .inner .information .information_ttl{
	color: #fff;
	-webkit-text-stroke: 1px var(--body);
	font-weight: 800;
	letter-spacing: 0.15rem;
	font-size: var(--font-size-18);
}
article .inner .information .area_ttl,
article .inner .information dl{
	font-size: var(--font-size-12);
}
article .inner.stay{
	padding: 1.2em 20px 1.5em;
}
article .inner.stay .section_ttl{
	margin-top: 0;
	margin-bottom: 15px;
}

.information dl dt,
.information dl dd{
	display: inline;
}
.information dl dd::before {
	content: ":";
	padding-right: 0.25em;
}
.information a{
	color: var(--body);
	border-bottom: 1px solid var(--body);
}
.information .map_link::after,
.information .new_w::after,
.information .insta_link::after,
.information .fb_link::after {
	content: "";
	display: inline-block;
	margin-left: .35em;
	vertical-align: middle;
	width: 1.1em;
	aspect-ratio: 1;
	background: url(../img/cmn/ico_pin.webp) no-repeat center / contain;
}
.information .new_w::after{
	background-image: url(../img/cmn/ico_link.webp);
}
.information .insta_link::after{
	background-image: url(../img/cmn/ico_insta.webp);
}
.information .fb_link::after{
	background-image: url(../img/cmn/ico_fb.webp);
}

@media screen and (min-width: 841px) {
	article .inner{
		padding: 0 9% 60px;
		border-radius: 100px;
	}
	article .inner .information{
		margin-left: 20px;
	}
}

.route .time{
	margin: 80px auto;
	width: 77%;
	border-radius: 99px;
	border: 1px solid var(--body);
	background: rgba(80, 80, 80, 0.5);
	text-align: center;
	font-weight: 600;
	padding: .6em 20px .9em;
	max-width: 350px;
}
.route .time:has(p.w-90){
	width: 90%;
}
.route .time p{
	font-size: var(--font-size-13);
	letter-spacing: var(--letter-spacing-13);
}
.route .time span{
	font-size: 150%;
	font-weight: 700;
}
.route .time p.sm{
	font-size: 82%;
}

/* RECCOMEND POINT */
.point{
	margin: 80px auto 0;
	max-width: 500px;
	border-radius: 20px;
	border: 1px solid var(--body);
	background-color: #fdfdfd;
	background-image: linear-gradient(to right, #daf1ea 1px, transparent 1px), linear-gradient(to bottom, #daf1ea 1px, transparent 1px);
	background-size: 11px 11px;
	padding: 20px 20px 40px;
	position: relative;
}
.point::after{
	display: block;
	content: "";
	width: 100%;
	aspect-ratio: 181 / 172;
	width: 27.6%;
	background: url(../img/modelcourse/point_people.svg) no-repeat center / contain;
	position:absolute;
	top: 0;
	right: 0;
	z-index:0;
	pointer-events: none;
	transform-origin: 50% 100%;
	visibility: hidden;
	transform: translate(18%, -65%);
}
.point.ani-fadeInDown::after{
	animation: ani-scaleUp .3s cubic-bezier(.37,.49,.35,1.28) .7s both;
	visibility: visible!important;
}
.point .point_ttl{
	display: block;
	text-align: center;
	color: var(--primary);
	font-weight: 800;
	-webkit-text-stroke: 1px var(--body);
	font-size: var(--font-size-20);
	letter-spacing: 0.15rem;
}
.point .point_subttl{
	line-height: 1.5;
	margin-bottom: 10px;
	font-size: var(--font-size-base);
}
.point .text p{
	font-size: var(--font-size-13);
	letter-spacing: var(--letter-spacing-13);
}
.point .text p+p{
	margin-top: 20px;
}



/* ボタン（記事フッター） */
.foot{
	padding-top: 40px;
	display: flex;
	flex-direction: column;
	max-width: 380px;
	margin-left: auto;
	margin-right: auto;
	gap: 20px;
	align-items: center;
}
.foot .btn a{
	width: 100%;
}

.foot .btn.bg-pink a{
	font-size: var(--font-size-18);
}
